Package mvpa :: Package measures :: Module base :: Class Sensitivity

[hide private]
[frames] | no frames]

# Class Sensitivity

source code

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, clf, force_training=True, **kwargs) Initialize the analyzer with the classifier it shall use. | source code

__repr__(self, prefixes=None) String representation of DatasetMeasure | source code

__call__(self, dataset=None) Train classifier on `dataset` and then compute actual sensitivity. | source code

_setClassifier(self, clf) | source code

untrain(self) Untrain corresponding classifier for Sensitivity | source code

feature_ids(self) Return feature_ids used by the underlying classifier | source code

Inherited from `FeaturewiseDatasetMeasure`: `combiner`

Inherited from `FeaturewiseDatasetMeasure` (private): `_call`, `_postcall`

Inherited from `DatasetMeasure`: `null_dist`, `transformer`

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__setattr__`, `__str__`, `reset`

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| _LEGAL_CLFS = `[]` If Sensitivity is classifier specific, classes of classifiers should be listed in the list
| clf = `property(fget= lambda self: self.__clf, fset= _setClassi`...``
Inherited from `FeaturewiseDatasetMeasure`: `base_sensitivities` Inherited from `DatasetMeasure`: `__doc__`, `null_prob`, `null_t`, `raw_results` Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Instance Variables | [hide private]

| __clf Classifier used to computed sensitivity
| _force_training Either to force it to train

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, clf, force_training=True, **kwargs)
(Constructor)

source code

    Initialize the analyzer with the classifier it shall use.

    :Parameters:
      clf : :class:`Classifier`
        classifier to use.
      force_training : Bool
        if classifier was already trained -- do not retrain

Parameters:
  - `combiner` - The combiner is only applied if the computed featurewise dataset measure is more than one-dimensional. This is different from a transformer, which is always applied. By default, the sum of absolute values along the second axis is computed.
Overrides: object.__init__

### __repr__(self, prefixes=None)
(Representation operator)

source code

String representation of DatasetMeasure

Includes only arguments which differ from default ones

Parameters:
  - `fullname` - Either to include full name of the module
  - `prefixes` - What other prefixes to prepend to list of arguments
Overrides: object.__repr__
  (inherited documentation)

### __call__(self, dataset=None)
(Call operator)

source code

Train classifier on `dataset` and then compute actual sensitivity.

If the classifier is already trained it is possible to extract the sensitivities without passing a dataset.

Overrides: DatasetMeasure.__call__

### untrain(self)

source code

Untrain corresponding classifier for Sensitivity

Overrides: DatasetMeasure.untrain

### feature_ids(self)

source code

Return feature_ids used by the underlying classifier

Decorators:
  - `@property`

Class Variable Details | [hide private]

### clf

Value:

      property(fget= lambda self: self.__clf, fset= _setClassifier)